Bug 479668 (CVE-2009-0027) - CVE-2009-0027 JBoss EAP unprivileged local xml file access
Summary: CVE-2009-0027 JBoss EAP unprivileged local xml file access
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2009-0027
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: https://jira.jboss.org/jira/browse/JB...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-01-12 12:37 UTC by Marc Schoenefeld
Modified: 2019-09-29 12:28 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-29 08:01:23 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0346 0 normal SHIPPED_LIVE Moderate: JBoss Enterprise Application Platform 4.2.0CP06 update 2009-03-06 17:15:35 UTC
Red Hat Product Errata RHSA-2009:0347 0 normal SHIPPED_LIVE Moderate: JBoss Enterprise Application Platform 4.3.0CP04 update 2009-03-06 17:49:57 UTC
Red Hat Product Errata RHSA-2009:0348 0 normal SHIPPED_LIVE Moderate: JBoss Enterprise Application Platform 4.2.0CP06 update 2009-03-06 17:35:50 UTC
Red Hat Product Errata RHSA-2009:0349 0 normal SHIPPED_LIVE Moderate: JBoss Enterprise Application Platform 4.3.0CP04 update 2009-03-06 16:58:21 UTC

Comment 2 Marc Schoenefeld 2009-03-06 13:01:07 UTC
The request handler in JBossWS does not correctly verify the resource path
when serving WSDL files for custom web service endpoints. This allows
remote attackers to read arbitrary XML files with the permissions of the
EAP process.


Note You need to log in before you can comment on or make changes to this bug.